# Combinatorial Typicality Tests (see chapter 3)
# CIGDA_Comb-main-v1.1 (March 1, 2020)
# B. Le Roux, S. Bienaise, J.-L. Durand

#### BEGIN OF INPUT OF DATA AND PARAMETERS WITHOUT SPAD ####

#---------- STEP 1: the data
sep_field    = ";"
dec_code    = "."
message = paste("the string for decimal points is  ", dec_code,
                "                                                 ",
                "the field delimiter is  ", sep_field, sep="")
winDialog(type = "ok", message )

winDialog(type = "ok","Structure of data files
Data tables with 
    column names in the 1st line
    identificator of cases in the 1st column.
    other columns contain coordinates of cases.")

# Coordinates of individuals of reference
winDialog(type = "ok","Reading the reference table")
ref_file = file.choose(new = FALSE)
X.IK  = as.matrix(read.table(ref_file, row.names = 1, header = TRUE, 
                             sep = sep_field, dec = dec_code))

# Coordinates of individuals of group
winDialog(type = "ok","Reading the group table")
grp_file=file.choose(new = FALSE)
X.CK  = as.matrix(read.table(grp_file, row.names = 1, header = TRUE, 
                             sep = sep_field, dec = dec_code))


#---------- STEP 2: setting the parameters of the method
source("combi_parameters.R")
#### END OF INPUT OF DATA AND PARAMETERS ####

#---------- STEP 3: descriptive and inductive analyses
### INSERT HERE THE CORE OF THE PROCEDURE ###
source("combi_core.R")
### END OF R SCRIPT ###

