# Choice of analyses (unidimensional, multidimensional or both)
unidim    = TRUE  # or FALSE
multidim  = TRUE  # of FALSE

# Choice between test for mean point and test for variance
test_stat_mean = TRUE  # or FALSE if test for variance is wanted

# Combinatorial procedures (test, region or both)
test      = TRUE  # or FALSE
region    = TRUE  # or FALSE

# Parameters
notable_D   = 0.4     # notable limit for M-distance or scaled deviation
notable_VR  = 0.1     # notable limit for absolute value of variation rate for variance
alpha_t     = 0.05    # alpha level for test
alpha_c     = 0.05    # alpha level for compatibility region
max_number  = 100000  # number of possible clouds
random_seed = TRUE    # TRUE if random seed is used for each test, FALSE if a seed is given by user
seed        = 1234    # integer used as seed for Monte Carlo method

# Number of decimal places in outputs
m_digits    = 3    # Nb of decimal places for mean or sd
k_digits    = 2    # Nb of decimal places for M-distance & kappa (scale parameter)
v_digits    = 2    # Nb of decimal places for variance
vr_digits   = 2    # Nb of decimal places for variation rate for variance
p_digits    = 3    # Nb of decimal places for p-values

# Approximate results
approximate = TRUE  # or FALSE


# NOT TO BE MODIFIED
groupName <- "group"
test_stat_var <- !test_stat_mean
if (random_seed) {seed <- NULL}
export    = NULL
export_TF = FALSE
spad = FALSE
